import request from '@/utils/request'

// 查询面积选项列表
export function listSquare(data) {
  return request({
    url: '/tSquare/list',
    method: 'post',
    data: data
  })
}

// 查询面积选项详细
export function getSquare(id) {
  return request({
    url: '/tSquare/' + id,
    method: 'get'
  })
}

// 新增面积选项
export function addSquare(data) {
  return request({
    url: '/tSquare',
    method: 'post',
    data: data
  })
}

// 修改面积选项
export function updateSquare(data) {
  return request({
    url: '/tSquare',
    method: 'put',
    data: data
  })
}

// 删除面积选项
export function delSquare(id) {
  return request({
    url: '/tSquare/' + id,
    method: 'delete'
  })
}

// 导出面积选项
export function exportSquare(query) {
  return request({
    url: '/tSquare/export',
    method: 'get',
    params: query
  })
}
